//*******************************************
// VeriLogger Pro: Basic Verilog Simulation 
//   (Tutorial 7 in SynaptiCAD Series)
//*******************************************
`timescale 1ns / 1ns
module test();

reg 		CLK_100MHz;

reg			nCPU_RD = 1;
reg 		nCPU_WR = 1;
wire[7:0]	CPU_DATA;
reg [2:0]   CPU_ADDRESS=0;

wire[16:0]  RAM_ADDRESS;
wire[7:0]	RAM_DATA;
wire 		nRAM_CE0;
wire		nRAM_OE;
wire		nRAM_WE;

wire		PROBA;



  LCD   T1(	CLK_100MHz, 
			LCD_DATA, LCD_FRAME, LCD_LOAD,	LCD_CP,	nLCD_DISP_OFF,	
			RAM_ADDRESS, RAM_DATA, nRAM_CE0, nRAM_OE, nRAM_WE,	
			nCPU_RD, nCPU_WR, CPU_DATA,	CPU_ADDRESS,
			PROBA
);


initial
  begin                  //SIGNAL CLK

	repeat (1000) begin
	  #10 CLK_100MHz <= 0;
	  #10 CLK_100MHz <= 1;
	end
  end

endmodule


